%define subrel  1
Name:           fedora-arm-installer
Version:        1.1.1
Release:        %mkrel 3
Summary:        Writes binary image files to any specified block device
Group:          Archiving/Other
License:        GPLv2+
Url:            http://fedoraproject.org/wiki/Fedora_ARM_Installer
Source0:        http://fossjon.fedorapeople.org/packages/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.pam
Source2:        %{name}.cfg
Source3:        %{name}-helper
Source4:        %{name}.desktop
Source5:        fedora-arm-creator

Patch0:         fedora-arm-installer-1.1.1-mga-fix_url.patch

BuildRequires:  desktop-file-utils
Requires:       PyQt4
Requires:       usermode
BuildArch:      noarch

%description
Allows one to first select a source image (local or remote). The image must be
a binary file containing: [MBR + Partitions + File Systems + Data]. A 
destination block device should then be selected for final installation.

Note: The remote (download) feature is currently disabled.

It may be used to install Fedora ARM operating system images to
SD cards for use in the Raspberry Pi. 

It is also suitable for dumping Mageia installer isos to USB sticks.

Note:
"Raspberry Pi" and the Raspberry Pi logo used in this application are
trademarks of the Raspberry Pi Foundation.

%prep
%setup -q

%apply_patches

%build
echo "skipping..."

%install
install -d %{buildroot}%{_sysconfdir}/pam.d
install -pm 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/%{name}

install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -pm 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

install -d %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ %{SOURCE4}

install -d %{buildroot}%{_datadir}/%{name}/data
install -pm 0644 data/* %{buildroot}%{_datadir}/%{name}/data/

install -d %{buildroot}%{_bindir}
ln -s consolehelper %{buildroot}%{_bindir}/%{name}

install -d %{buildroot}%{_iconsdir}
ln -s %{_datadir}/%{name}/data/logo0.png %{buildroot}%{_iconsdir}/%{name}.png

install -d %{buildroot}%{_sbindir}
install -pm 0755 %{SOURCE3} %{buildroot}%{_sbindir}/
install -pm 0755 %{SOURCE5} %{buildroot}%{_sbindir}/
install -pm 0755 %{name} %{buildroot}%{_sbindir}/

%files
%doc docs/LICENSE

%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}

%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/

%{_bindir}/%{name}

%{_sbindir}/%{name}-helper
%{_sbindir}/fedora-arm-creator
%{_sbindir}/%{name}

%{_iconsdir}/%{name}.png


%changelog
* Sat Jun 07 2014 barjac <barjac> 1.1.1-3.1.mga4
+ Revision: 634396
- patch to remove URL causing Mga#13136

* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 533629
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 barjac <barjac> 1.1.1-2.mga4
+ Revision: 474174
- expand description to mention Raspberry Pi and use with Mageia isos
- add acknowlegment for use of Raspberry Pi name and logo to comply with their trademark rules

* Sat Aug 31 2013 barjac <barjac> 1.1.1-1.mga4
+ Revision: 473777
- clean spec
- fix group
- fix desktop file
- symlink icon for .desktop
- import from Fedora


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.1.1-9
- Attached a new script source file aimed to make installation of ARM device
  images easier

* Fri Jun 07 2013 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.1.1-8
- Changed the tempfile module dir location to var

* Wed May 08 2013 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.4-8
- Added some language calls to prevent errors in parsing non-English character
  sets

* Wed Mar 13 2013 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.3-7
- Sent the choose source dialog return string through a conversion method

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 14 2013 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.2-5
- Minor tweaks to the specfile files section and license info

* Tue Dec 11 2012 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.2-4
- Cleaned up the spec file script creation with the use of Source files

* Thu Aug 30 2012 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.2-3
- Modified the way downloads & saves work

* Thu Aug 16 2012 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.0-3
- Added a comment regarding dd.exe output format and changed the default archive
  & compression to assume .zip format

* Thu Mar 08 2012 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.0-2
- usr share data dir change + desktop file + pipe object cleanup + windows drive
  letters

* Mon Feb 27 2012 Jon Chiappetta <jonc_mailbox@yahoo.ca> - 1.0.0-1
- Initial packaging
